# eric4.E4XML.SessionHandler

Module implementing the handler class for reading an XML project session file.

### Global Attributes

None

### Classes

SessionHandler | Class implementing a sax handler to read an XML project session file.

### Functions

None

## SessionHandler

Class implementing a sax handler to read an XML project session file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

SessionHandler | Constructor
endBFilename | Handler method for the "BFilename" end tag.
endBookmark | Handler method for the "Bookmark" end tag.
endBreakpoint | Handler method for the "Breakpoint" end tag.
endCommandLine | Handler method for the "CommandLine" end tag.
endCondition | Handler method for the "Condition" end tag.
endEnvironment | Handler method for the "Environment" end tag.
endException | Handler method for the "Exception" end tag.
endExceptions | Handler method for the "Exceptions" end tag.
endFilename | Handler method for the "Filename" end tag.
endIgnoredException | Handler method for the "IgnoredException" end tag.
endIgnoredExceptions | Handler method for the "IgnoredExceptions" end tag.
endMultiProject | Handler method for the "MultiProject" end tag.
endProject | Handler method for the "Project" end tag.
endSpecial | Handler method for the "Special" end tag.
endWatchexpression | Handler method for the "Watchexpression" end tag.
endWorkingDirectory | Handler method for the "WorkinDirectory" end tag.
getVersion | Public method to retrieve the version of the session.
startAutoClearShell | Handler method for the "AutoClearShell" start tag.
startAutoContinue | Handler method for the "AutoContinue" start tag.
startBookmark | Handler method for the "Bookmark" start tag.
startBreakpoint | Handler method for the "Breakpoint" start tag.
startCount | Handler method for the "Count" start tag.
startDocumentSession | Handler called, when the document parsing is started.
startEnabled | Handler method for the "Enabled" start tag.
startExceptions | Handler method for the "Exceptions" start tag.
startFilename | Handler method for the "Filename" start tag.
startIgnoredExceptions | Handler method for the "IgnoredExceptions" start tag.
startLinenumber | Handler method for the "Linenumber" start tag.
startReportExceptions | Handler method for the "ReportExceptions" start tag.
startSession | Handler method for the "Session" start tag.
startTemporary | Handler method for the "Temporary" start tag.
startTracePython | Handler method for the "TracePython" start tag.
startWatchexpression | Handler method for the "Watchexpression" start tag.

### Static Methods

None

#### SessionHandler (Constructor)

SessionHandler(project)

Constructor

project
  Reference to the project object to store the information into.

#### SessionHandler.endBFilename

endBFilename()

Handler method for the "BFilename" end tag.

#### SessionHandler.endBookmark

endBookmark()

Handler method for the "Bookmark" end tag.

#### SessionHandler.endBreakpoint

endBreakpoint()

Handler method for the "Breakpoint" end tag.

#### SessionHandler.endCommandLine

endCommandLine()

Handler method for the "CommandLine" end tag.

#### SessionHandler.endCondition

endCondition()

Handler method for the "Condition" end tag.

#### SessionHandler.endEnvironment

endEnvironment()

Handler method for the "Environment" end tag.

#### SessionHandler.endException

endException()

Handler method for the "Exception" end tag.

#### SessionHandler.endExceptions

endExceptions()

Handler method for the "Exceptions" end tag.

#### SessionHandler.endFilename

endFilename()

Handler method for the "Filename" end tag.

#### SessionHandler.endIgnoredException

endIgnoredException()

Handler method for the "IgnoredException" end tag.

#### SessionHandler.endIgnoredExceptions

endIgnoredExceptions()

Handler method for the "IgnoredExceptions" end tag.

#### SessionHandler.endMultiProject

endMultiProject()

Handler method for the "MultiProject" end tag.

#### SessionHandler.endProject

endProject()

Handler method for the "Project" end tag.

#### SessionHandler.endSpecial

endSpecial()

Handler method for the "Special" end tag.

#### SessionHandler.endWatchexpression

endWatchexpression()

Handler method for the "Watchexpression" end tag.

#### SessionHandler.endWorkingDirectory

endWorkingDirectory()

Handler method for the "WorkinDirectory" end tag.

#### SessionHandler.getVersion

getVersion()

Public method to retrieve the version of the session.

Returns:
  String containing the version number.

#### SessionHandler.startAutoClearShell

startAutoClearShell(attrs)

Handler method for the "AutoClearShell" start tag.

attrs
  list of tag attributes

#### SessionHandler.startAutoContinue

startAutoContinue(attrs)

Handler method for the "AutoContinue" start tag.

attrs
  list of tag attributes

#### SessionHandler.startBookmark

startBookmark(attrs)

Handler method for the "Bookmark" start tag.

attrs
  list of tag attributes

#### SessionHandler.startBreakpoint

startBreakpoint(attrs)

Handler method for the "Breakpoint" start tag.

attrs
  list of tag attributes

#### SessionHandler.startCount

startCount(attrs)

Handler method for the "Count" start tag.

attrs
  list of tag attributes

#### SessionHandler.startDocumentSession

startDocumentSession()

Handler called, when the document parsing is started.

#### SessionHandler.startEnabled

startEnabled(attrs)

Handler method for the "Enabled" start tag.

attrs
  list of tag attributes

#### SessionHandler.startExceptions

startExceptions(attrs)

Handler method for the "Exceptions" start tag.

attrs
  list of tag attributes

#### SessionHandler.startFilename

startFilename(attrs)

Handler method for the "Filename" start tag.

attrs
  list of tag attributes

#### SessionHandler.startIgnoredExceptions

startIgnoredExceptions(attrs)

Handler method for the "IgnoredExceptions" start tag.

attrs
  list of tag attributes

#### SessionHandler.startLinenumber

startLinenumber(attrs)

Handler method for the "Linenumber" start tag.

attrs
  list of tag attributes

#### SessionHandler.startReportExceptions

startReportExceptions(attrs)

Handler method for the "ReportExceptions" start tag.

attrs
  list of tag attributes

#### SessionHandler.startSession

startSession(attrs)

Handler method for the "Session" start tag.

attrs
  list of tag attributes

#### SessionHandler.startTemporary

startTemporary(attrs)

Handler method for the "Temporary" start tag.

attrs
  list of tag attributes

#### SessionHandler.startTracePython

startTracePython(attrs)

Handler method for the "TracePython" start tag.

attrs
  list of tag attributes

#### SessionHandler.startWatchexpression

startWatchexpression(attrs)

Handler method for the "Watchexpression" start tag.

attrs
  list of tag attributes

Up